Debian Bug report logs - #628529
transition: ICU transition (4.4 -> 4.8)

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mehdi Dogguy <mehdi@dogguy.org>

Date: Sun, 29 May 2011 20:30:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#628529; Package release.debian.org. (Sun, 29 May 2011 20:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 May 2011 20:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Jay Berkenbilt <qjb@debian.org>, Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-release@lists.debian.org
Subject: transition: ICU transition (4.4 -> 4.8)
Date: Sun, 29 May 2011 22:26:50 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Turning this into a bugreport.

On 05/29/2011 10:19 PM, Jay Berkenbilt wrote:
> I'd like to schedule a transition for ICU from 4.4 to 4.8.  In the past
> several ICU transitions, it has been sufficient to do a binary NMU for
> each reverse dependency, and there's little reason to believe that this
> time should be any different.  There are a few API changes, but they are
> mostly for interfaces that have been deprecated for a long time, and
> this is pretty much comparable to earlier ICU releases.  I will wait to
> upload ICU to unstable until I get an okay from the release team and
> until I hear from openoffice.org maintainers.
>

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added blocking bug(s) of 628529: 628584 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 13:21:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 628529: 634404 and 631031 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 21 Jul 2011 11:21:26 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 628529: 625377, 628304, 624962, 556756, 554407, 625415, and 556768 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 24 Jul 2011 13:27:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#628529; Package release.debian.org. (Thu, 08 Sep 2011 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 08 Sep 2011 17:54:03 GMT) Full text and rfc822 format available.

Message #16 received at 628529@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: Jay Berkenbilt <qjb@debian.org>, Debian Bug Tracking System <628529@bugs.debian.org>
Subject: Re: transition: ICU transition (4.4 -> 4.8)
Date: Thu, 8 Sep 2011 19:49:53 +0200
block 628529 with 630517
kthxbye

On 05/29/2011 10:19 PM, Jay Berkenbilt wrote:
>I'd like to schedule a transition for ICU from 4.4 to 4.8.  In the past
>several ICU transitions, it has been sufficient to do a binary NMU for
>each reverse dependency, and there's little reason to believe that this
>time should be any different.  There are a few API changes, but they are
>mostly for interfaces that have been deprecated for a long time, and
>this is pretty much comparable to earlier ICU releases.  I will wait to
>upload ICU to unstable until I get an okay from the release team and
>until I hear from openoffice.org maintainers.
>
This can't really happen as long as icu itself FTBFS on one of the
release architectures, so marking the corresponding bug as a blocker.

Cheers,
Julien




Added blocking bug(s) of 628529: 630517 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 08 Sep 2011 17:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#628529; Package release.debian.org. (Sat, 10 Sep 2011 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <qjb@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 10 Sep 2011 17:15:03 GMT) Full text and rfc822 format available.

Message #23 received at 628529@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <qjb@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Mehdi Dogguy <mehdi@dogguy.org>, Debian Bug Tracking System <628529@bugs.debian.org>
Subject: Re: transition: ICU transition (4.4 -> 4.8)
Date: Sat, 10 Sep 2011 13:04:13 -0400
Julien Cristau <jcristau@debian.org> wrote:

> On 05/29/2011 10:19 PM, Jay Berkenbilt wrote:
>>I'd like to schedule a transition for ICU from 4.4 to 4.8.  . . .
>>
> This can't really happen as long as icu itself FTBFS on one of the
> release architectures, so marking the corresponding bug as a blocker.

The problem blocking this transition has been fixed, and we've had a
successful build on that platform.  Still waiting for builds on some of
the rest of the platforms, but it looks good since it was a one-line
change to ./configure{,.in} to add kfreebsd to a case statement.
Hopefully we can move forward with the transition.

-- 
Jay Berkenbilt <qjb@debian.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#628529; Package release.debian.org. (Tue, 08 Nov 2011 22:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 08 Nov 2011 22:51:07 GMT) Full text and rfc822 format available.

Message #28 received at 628529@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jay Berkenbilt <qjb@debian.org>, 628529@bugs.debian.org
Cc: Mehdi Dogguy <mehdi@dogguy.org>
Subject: Re: Bug#628529: transition: ICU transition (4.4 -> 4.8)
Date: Tue, 8 Nov 2011 23:46:47 +0100
On Sat, Sep 10, 2011 at 13:04:13 -0400, Jay Berkenbilt wrote:

> Julien Cristau <jcristau@debian.org> wrote:
> 
> > On 05/29/2011 10:19 PM, Jay Berkenbilt wrote:
> >>I'd like to schedule a transition for ICU from 4.4 to 4.8.  . . .
> >>
> > This can't really happen as long as icu itself FTBFS on one of the
> > release architectures, so marking the corresponding bug as a blocker.
> 
> The problem blocking this transition has been fixed, and we've had a
> successful build on that platform.  Still waiting for builds on some of
> the rest of the platforms, but it looks good since it was a one-line
> change to ./configure{,.in} to add kfreebsd to a case statement.
> Hopefully we can move forward with the transition.
> 
I think we're finally ready for this, so please go ahead with the upload
to unstable.  Sorry for the delay.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#628529; Package release.debian.org. (Wed, 09 Nov 2011 15:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jay Berkenbilt <ejb@ql.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 09 Nov 2011 15:15:07 GMT) Full text and rfc822 format available.

Message #33 received at 628529@bugs.debian.org (full text, mbox):

From: Jay Berkenbilt <ejb@ql.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Jay Berkenbilt <qjb@debian.org>, 628529@bugs.debian.org, Mehdi Dogguy <mehdi@dogguy.org>
Subject: Re: Bug#628529: transition: ICU transition (4.4 -> 4.8)
Date: Wed, 09 Nov 2011 10:08:12 -0500
On 11/08/2011 05:46 PM, Julien Cristau wrote:
> On Sat, Sep 10, 2011 at 13:04:13 -0400, Jay Berkenbilt wrote:
>
>> Julien Cristau <jcristau@debian.org> wrote:
>>
>>> On 05/29/2011 10:19 PM, Jay Berkenbilt wrote:
>>>> I'd like to schedule a transition for ICU from 4.4 to 4.8.  . . .
>>>>
>>> This can't really happen as long as icu itself FTBFS on one of the
>>> release architectures, so marking the corresponding bug as a blocker.
>> The problem blocking this transition has been fixed, and we've had a
>> successful build on that platform.  Still waiting for builds on some of
>> the rest of the platforms, but it looks good since it was a one-line
>> change to ./configure{,.in} to add kfreebsd to a case statement.
>> Hopefully we can move forward with the transition.
>>
> I think we're finally ready for this, so please go ahead with the upload
> to unstable.  Sorry for the delay.
>
> Cheers,
> Julien
I'll be uploading shortly.  Thanks.

--Jay




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 09 Nov 2011 17:48:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 628529: 648506 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 12 Nov 2011 12:54:37 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 628529: 648507 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 12 Nov 2011 12:54:39 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 628529: 644250 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 00:00:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 628529: 649124 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 21:51:08 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 18 Dec 2011 23:51:05 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@dogguy.org>:
Bug acknowledged by developer. (Sun, 18 Dec 2011 23:51:05 GMT) Full text and rfc822 format available.

Message #48 received at 628529-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jay Berkenbilt <qjb@debian.org>
Cc: 628529-done@bugs.debian.org
Subject: Re: ICU transition
Date: Mon, 19 Dec 2011 00:49:03 +0100
On Sun, May 29, 2011 at 16:19:00 -0400, Jay Berkenbilt wrote:

> I'd like to schedule a transition for ICU from 4.4 to 4.8.  In the past
> several ICU transitions, it has been sufficient to do a binary NMU for
> each reverse dependency, and there's little reason to believe that this
> time should be any different.  There are a few API changes, but they are
> mostly for interfaces that have been deprecated for a long time, and
> this is pretty much comparable to earlier ICU releases.  I will wait to
> upload ICU to unstable until I get an okay from the release team and
> until I hear from openoffice.org maintainers.
> 
libicu44 is (finally) gone from wheezy, closing the transition tracking
bug.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Jan 2012 07:32:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:11:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.